"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ApiClient = _interopRequireDefault(require("../ApiClient"));

var _ArduinoLorafreqplansv = _interopRequireDefault(require("../model/ArduinoLorafreqplansv1"));

var _Error = _interopRequireDefault(require("../model/Error"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

/**
* LoraFreqPlanV1 service.
* @module api/LoraFreqPlanV1Api
* @version 1.4.2
*/
var LoraFreqPlanV1Api =
/*#__PURE__*/
function () {
  /**
  * Constructs a new LoraFreqPlanV1Api. 
  * @alias module:api/LoraFreqPlanV1Api
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function LoraFreqPlanV1Api(apiClient) {
    _classCallCheck(this, LoraFreqPlanV1Api);

    this.apiClient = apiClient || _ApiClient["default"].instance;
  }
  /**
   * list lora_freq_plan_v1
   * List the lora frequency plans supported
   * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/ArduinoLorafreqplansv1} and HTTP response
   */


  _createClass(LoraFreqPlanV1Api, [{
    key: "loraFreqPlanV1ListWithHttpInfo",
    value: function loraFreqPlanV1ListWithHttpInfo() {
      var postBody = null;
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = _ArduinoLorafreqplansv["default"];
      return this.apiClient.callApi('/v1/lora-freq-plans/', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null);
    }
    /**
     * list lora_freq_plan_v1
     * List the lora frequency plans supported
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/ArduinoLorafreqplansv1}
     */

  }, {
    key: "loraFreqPlanV1List",
    value: function loraFreqPlanV1List() {
      return this.loraFreqPlanV1ListWithHttpInfo().then(function (response_and_data) {
        return response_and_data.data;
      });
    }
  }]);

  return LoraFreqPlanV1Api;
}();

exports["default"] = LoraFreqPlanV1Api;