"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ApiClient = _interopRequireDefault(require("../ApiClient"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

/**
 * The ArduinoDashboardowner model module.
 * @module model/ArduinoDashboardowner
 * @version 1.4.2
 */
var ArduinoDashboardowner =
/*#__PURE__*/
function () {
  /**
   * Constructs a new <code>ArduinoDashboardowner</code>.
   * ArduinoDashboardowner media type (default view)
   * @alias module:model/ArduinoDashboardowner
   * @param userId {String} The userID of the user who created the dashboard
   */
  function ArduinoDashboardowner(userId) {
    _classCallCheck(this, ArduinoDashboardowner);

    ArduinoDashboardowner.initialize(this, userId);
  }
  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */


  _createClass(ArduinoDashboardowner, null, [{
    key: "initialize",
    value: function initialize(obj, userId) {
      obj['user_id'] = userId;
    }
    /**
     * Constructs a <code>ArduinoDashboardowner</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/ArduinoDashboardowner} obj Optional instance to populate.
     * @return {module:model/ArduinoDashboardowner} The populated <code>ArduinoDashboardowner</code> instance.
     */

  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new ArduinoDashboardowner();

        if (data.hasOwnProperty('user_id')) {
          obj['user_id'] = _ApiClient["default"].convertToType(data['user_id'], 'String');
        }

        if (data.hasOwnProperty('username')) {
          obj['username'] = _ApiClient["default"].convertToType(data['username'], 'String');
        }
      }

      return obj;
    }
  }]);

  return ArduinoDashboardowner;
}();
/**
 * The userID of the user who created the dashboard
 * @member {String} user_id
 */


ArduinoDashboardowner.prototype['user_id'] = undefined;
/**
 * The username of the user who created the dashboard
 * @member {String} username
 */

ArduinoDashboardowner.prototype['username'] = undefined;
var _default = ArduinoDashboardowner;
exports["default"] = _default;