"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ApiClient = _interopRequireDefault(require("../ApiClient"));

var _Widget = _interopRequireDefault(require("./Widget"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

/**
 * The Dashboardv2 model module.
 * @module model/Dashboardv2
 * @version 1.4.2
 */
var Dashboardv2 =
/*#__PURE__*/
function () {
  /**
   * Constructs a new <code>Dashboardv2</code>.
   * DashboardV2Payload describes a dashboard
   * @alias module:model/Dashboardv2
   */
  function Dashboardv2() {
    _classCallCheck(this, Dashboardv2);

    Dashboardv2.initialize(this);
  }
  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */


  _createClass(Dashboardv2, null, [{
    key: "initialize",
    value: function initialize(obj) {}
    /**
     * Constructs a <code>Dashboardv2</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/Dashboardv2} obj Optional instance to populate.
     * @return {module:model/Dashboardv2} The populated <code>Dashboardv2</code> instance.
     */

  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new Dashboardv2();

        if (data.hasOwnProperty('name')) {
          obj['name'] = _ApiClient["default"].convertToType(data['name'], 'String');
        }

        if (data.hasOwnProperty('widgets')) {
          obj['widgets'] = _ApiClient["default"].convertToType(data['widgets'], [_Widget["default"]]);
        }
      }

      return obj;
    }
  }]);

  return Dashboardv2;
}();
/**
 * The friendly name of the dashboard
 * @member {String} name
 */


Dashboardv2.prototype['name'] = undefined;
/**
 * Widgets attached to this dashboard
 * @member {Array.<module:model/Widget>} widgets
 */

Dashboardv2.prototype['widgets'] = undefined;
var _default = Dashboardv2;
exports["default"] = _default;