"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ApiClient = _interopRequireDefault(require("../ApiClient"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

/**
 * The TimeseriesDataPoint model module.
 * @module model/TimeseriesDataPoint
 * @version 1.4.2
 */
var TimeseriesDataPoint =
/*#__PURE__*/
function () {
  /**
   * Constructs a new <code>TimeseriesDataPoint</code>.
   * @alias module:model/TimeseriesDataPoint
   * @param time {Date} Binning timestamp
   * @param value {Number} Avg value on the binning interval
   */
  function TimeseriesDataPoint(time, value) {
    _classCallCheck(this, TimeseriesDataPoint);

    TimeseriesDataPoint.initialize(this, time, value);
  }
  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */


  _createClass(TimeseriesDataPoint, null, [{
    key: "initialize",
    value: function initialize(obj, time, value) {
      obj['time'] = time;
      obj['value'] = value;
    }
    /**
     * Constructs a <code>TimeseriesDataPoint</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/TimeseriesDataPoint} obj Optional instance to populate.
     * @return {module:model/TimeseriesDataPoint} The populated <code>TimeseriesDataPoint</code> instance.
     */

  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new TimeseriesDataPoint();

        if (data.hasOwnProperty('time')) {
          obj['time'] = _ApiClient["default"].convertToType(data['time'], 'Date');
        }

        if (data.hasOwnProperty('value')) {
          obj['value'] = _ApiClient["default"].convertToType(data['value'], 'Number');
        }
      }

      return obj;
    }
  }]);

  return TimeseriesDataPoint;
}();
/**
 * Binning timestamp
 * @member {Date} time
 */


TimeseriesDataPoint.prototype['time'] = undefined;
/**
 * Avg value on the binning interval
 * @member {Number} value
 */

TimeseriesDataPoint.prototype['value'] = undefined;
var _default = TimeseriesDataPoint;
exports["default"] = _default;